Package org.eclipse.e4.ui.css.core.resources

# Class CSSResourcesHelpers

java.lang.Object
org.eclipse.e4.ui.css.core.resources.CSSResourcesHelpers

public class CSSResourcesHelpers extends Object
CSS Resources Helper to manage `IResourcesRegistry`.

## Constructor Summary

Constructors
Constructor
Description
`CSSResourcesHelpers()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getCSSFontPropertiesKey(CSS2FontProperties fontProperties)`
`static String`
`getCSSPrimitiveValueKey(CSSPrimitiveValue value)`
Return the key of the CSSPrimitiveValue `value` which is used to cache Resource into `IResourcesRegistry`.
`static String`
`getCSSRGBColorKey(RGBColor rgbColor)`
`static String`
`getCSSValueKey(CSSValue value)`
`static Object`
`getResource(IResourcesRegistry resourcesRegistry, Object type, String key)`
Return the resource type of `type` cached into `resourcesRegistry` with key `key`.
`static Object`
`getResource(IResourcesRegistry resourcesRegistry, Object type, CSSPrimitiveValue value)`
Return the resource type of `type` cached into `resourcesRegistry` with CSSPrimitiveValue `value` key.
`static void`
`registerResource(IResourcesRegistry resourcesRegistry, Object type, String key, Object resource)`
Register the `resource` type of `type` into `resourcesRegistry` with `key`.
`static void`
`registerResource(IResourcesRegistry resourcesRegistry, Object type, CSSPrimitiveValue value, Object resource)`
Register the `resource` type of `type` into `resourcesRegistry` with CSSPrimitiveValue `value` key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSSResourcesHelpers

public CSSResourcesHelpers()

## Method Details

### getCSSValueKey

public static String getCSSValueKey(CSSValue value)

### getCSSPrimitiveValueKey

public static String getCSSPrimitiveValueKey(CSSPrimitiveValue value)
Return the key of the CSSPrimitiveValue `value` which is used to cache Resource into `IResourcesRegistry`.

### getCSSRGBColorKey

public static String getCSSRGBColorKey(RGBColor rgbColor)

### getCSSFontPropertiesKey

public static String getCSSFontPropertiesKey(CSS2FontProperties fontProperties)

### getResource

public static Object getResource(IResourcesRegistry resourcesRegistry, Object type, CSSPrimitiveValue value)
Return the resource type of `type` cached into `resourcesRegistry` with CSSPrimitiveValue `value` key.

### getResource

public static Object getResource(IResourcesRegistry resourcesRegistry, Object type, String key)
Return the resource type of `type` cached into `resourcesRegistry` with key `key`.

### registerResource

public static void registerResource(IResourcesRegistry resourcesRegistry, Object type, CSSPrimitiveValue value, Object resource)
Register the `resource` type of `type` into `resourcesRegistry` with CSSPrimitiveValue `value` key.

### registerResource

public static void registerResource(IResourcesRegistry resourcesRegistry, Object type, String key, Object resource)
Register the `resource` type of `type` into `resourcesRegistry` with `key`.